package org.xyzh.common.dto.study;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 任务资源关联表
 * @filename TbTaskResource.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbTaskResource extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 任务ID
     */
    private String taskID;
    
    /**
     * @description 资源ID
     */
    private String resourceID;
    
    /**
     * @description 是否必须完成
     */
    private Boolean required;
    
    /**
     * @description 排序号
     */
    private Integer orderNum;
    
    /**
     * @description 创建者
     */
    private String creator;

    public String getTaskID() {
        return taskID;
    }

    public void setTaskID(String taskID) {
        this.taskID = taskID;
    }

    public String getResourceID() {
        return resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String toString() {
        return "TbTaskResource{" +
                "id=" + getID() +
                ", taskID='" + taskID + '\'' +
                ", resourceID='" + resourceID + '\'' +
                ", required=" + required +
                ", orderNum=" + orderNum +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
